Status: Closed Start date: 01/13/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4   

Description

Subtasks:

Task # 514: Create content indexer Closed

Task # 515: Create search logic Closed

Associated revisions

Revision 326 - 02/06/2013 08:18 AM - Luke Murphey

Basic content search is working. Closes #508.

Revision 326 - 02/06/2013 08:18 AM - Luke Murphey

Basic content search is working. Closes #508.

Revision 317 - 02/06/2013 08:18 AM - Luke Murphey

Basic content search is working. Closes #508.

History

#1 - 01/12/2013 09:45 AM - Luke Murphey

See http://stackoverflow.com/questions/2248743/django-mysql-full-text-search for how to do a fulltext search. See 

http://answers.oreilly.com/topic/1955-how-to-use-full-text-search-in-sqlite/ for how to create the index. Based on 

http://www.sqlite.org/fts3.html#section_1_2, it sounds like I ought to use FTS4 since disk IO is lacking on my web-server.

#2 - 01/12/2013 09:45 AM - Luke Murphey

- Status changed from New to In Progress

- Assignee set to Luke Murphey

#3 - 01/27/2013 08:31 PM - Luke Murphey

Might also want to consider using a search engine: http://stackoverflow.com/questions/2461322/how-to-implement-full-text-search-in-django

#4 - 01/27/2013 09:16 PM - Luke Murphey

The SQLite that is on my local host isn't compiled with FTS 3 and 4, I doubt the SQLite libs on the web-server have it either.

#5 - 02/06/2013 08:18 AM - Luke Murphey

- Status changed from In Progress to Closed
